<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Camera.flash
 *
 * @ORM\Table(name="previously_owned_flash", schema="camera")
 * @ORM\Entity
 */
class PreviouslyOwnedFlash
{
	use FlashTrait;

	/**
	 * @var integer
	 *
	 * @ORM\Column(name="id", type="integer", nullable=false)
	 * @ORM\Id
	 * @ORM\GeneratedValue(strategy="IDENTITY")
	 */
	private $id;

	/**
	 * @var boolean
	 *
	 * @ORM\Column(name="received", type="boolean", nullable=false, options={"default" : true})
	 */
	private $received = true;


	/**
	 * @var boolean
	 *
	 * @ORM\Column(name="formerly_owned", type="boolean", nullable=false, options={"default" : true})
	 */
	private $formerlyOwned = true;
}
